## escapework/manager-subscribers

Módulo para gerenciamento de contatos de newsletters.

## Instalação

Adiciona os seguintes itens no seu `composer.json` e execute um `composer update`: 

```json
{
    "require": {
        "escapework/manager-subscribers": "0.1.*"
    }, 

    "repositories": [
        {
            "type": "git",
            "url": "git@bitbucket.org:escapecria/manager-subscribers.git"
        }
    ]
}
```

### ServiceProvider

Adicione a linha `'EscapeWork\Manager\Subscribers\ManagerSubscribersServiceProvider'` no array de Service Providers no arquivo `app/config/app.php`.

### Migrations

Execute a migration para criar a tabela necessária: 

```sh
$ php artisan migrate --package="escapework/manager-subscribers"
```

### Seeds 

Os seeds criarão a página e as permissões de acesso. Adicione a seguinte linha no seu arquivo `app/database/seeds/DatabaseSeeder.php`.

```php
    $this->call('EscapeWork\Manager\Subscribers\SubscribersTableSeeder');
```

E depois, rode o comando: 

```sh
$ php artisan db:seed
```

### Configurações e Assets

Execute os seguintes comandos para copiar as configurações e os assets para a pasta correta: 

```sh
$ php artisan asset:publish escapework/manager-subscribers
$ php artisan config:publish escapework/manager-subscribers
```

### Salvando no front-end

Para salvar o contato no front-end, você pode apenas registrar uma rota utilizando a função `store` do `SubscribersController`.

```php
Route::post('/newsletter', 'EscapeWork\Manager\Subscribers\SubscribersController@store');
```

Se o contato já existir na hora de salvar, suas informações apenas são atualizadas.

### Acessando

Depois disso, você já poderá acessar o cadastro de banners pela URL http://seusite/manager/contatos.

### Todo

* Testes unitários;
* Comandos do artisan para integração com Campaign Monitor;
* Comandos do artisan para integração com MailChimp;
* Grupos de contatos (listas);

#### Versões compatíveis do [escapework/manager](https://github.com/escapecriativacao/)

* escapework/manager 0.3